## pkg-perl-tools 0.36

=== Makefile ===
#!/usr/bin/make
# vim: noet ft=make


.PHONY: all
all:

PREFIX = usr
SCRIPTS := $(filter-out lib,$(notdir $(wildcard scripts/*)))
SCRIPT_LIBS := $(notdir $(wildcard scripts/lib/*))
BINS := $(notdir $(wildcard bin/*))
BIN_MANUALS := $(addsuffix .1,$(BINS))
LIBS := $(notdir $(wildcard lib/Debian/PkgPerl/*))
# Using // instead of :: is a hack to find dependencies later
LIB_MANUALS := $(addprefix Debian//PkgPerl//,$(patsubst %.pm,%.3pm,$(LIBS)))
CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
AUTOPKGTEST_SCRIPTS_BUILDDEPS := $(notdir $(wildcard autopkgtest/scripts/build-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
VERSION := $(shell dpkg-parsechangelog --show-field Version)

MAN_DIR := $(PREFIX)/share/man/man1
MAN3_DIR := $(PREFIX)/share/man/man3
MAN5_DIR := $(PREFIX)/share/man/man5

INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
INSTALLED_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/,$(LIBS))
INSTALLED_LIB_MANUALS := $(addprefix $(DESTDIR)/$(MAN3_DIR)/,$(LIB_MANUALS))
INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/, $(AUTOPKGTEST_SCRIPTS_BUILDDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))

INSTALL := install -D -m 0644
INSTALL_BIN := install -D -m 0755
POD2MAN := pod2man --release="pkg-perl-tools $(VERSION)" -c "Debian Perl packaging Tools"

.PHONY: install
install: $(INSTALLED_SCRIPTS) $(INSTALLED_SCRIPT_MANUALS) \
    $(INSTALLED_SCRIPT_ALIAS_MANUALS) \
    $(INSTALLED_SCRIPT_LIBS) \
    $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
    $(INSTALLED_LIBS) $(INSTALLED_LIB_MANUALS) \
    $(INSTALLED_CONF_MANUALS) \
    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS)

$(DESTDIR)/$(MAN_DIR) \
$(DESTDIR)/$(MAN3_DIR) \
$(DESTDIR)/$(MAN5_DIR) \
$(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
$(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d :
	$(INSTALL) -d -m 0755 $@

$(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
	$(INSTALL_BIN) $< $@

$(DESTDIR)/$(MAN_DIR)/dpt-co.1:
	ln -s dpt-checkout.1 $@

$(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "dpt-$*" $< > $@

$(INSTALLED_SCRIPT_LIBS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/% : scripts/lib/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib
	$(INSTALL) $< $@

$(INSTALLED_BINS) : $(DESTDIR)/$(PREFIX)/bin/% : bin/%
	$(INSTALL_BIN) $< $@
	sed -i 's,DPT__SCRIPTS=scripts # REPLACED.*,DPT__SCRIPTS="/$(PREFIX)/share/pkg-perl-tools",' $@

$(INSTALLED_BIN_MANUALS) : $(DESTDIR)/$(MAN_DIR)/%.1 : bin/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "$*" $< > $@

$(INSTALLED_LIBS) : $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/% : lib/Debian/PkgPerl/% $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl
	$(INSTALL_BIN) $< $@

# Using // instead of :: helps finding the original .pm file
.PHONY: $(INSTALLED_LIB_MANUALS)
$(INSTALLED_LIB_MANUALS) : $(DESTDIR)/$(MAN3_DIR)/%.3pm : lib/%.pm $(DESTDIR)/$(MAN3_DIR)
	$(POD2MAN) -n "$(subst //,::,$*)" -s 3pm $< > $(subst //,::,$@)

$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/% : lintian/checks/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/% : autopkgtest/scripts/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/% : autopkgtest/scripts/build-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/% : autopkgtest/scripts/runtime-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/% : autopkgtest/scripts/runtime-deps-and-recommends.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
	$(INSTALL) $< $@

$(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
	$(POD2MAN) -n "$*" --section 5 $< > $@

.PHONY: clean
clean:

test:
	for f in `find bin scripts -maxdepth 1 -type f`; do \
	    if head -1 $$f | grep -q bin/perl; then \
		perl -Ilib -c $$f || exit 1; \
	    elif head -1 $$f |grep -q python; then \
		echo "python script $$f not checked"; \
	    elif head -1 $$f |grep -q bash; then \
		bash -n $$f && echo "$$f bash script OK" || exit 1; \
	    else \
		sh -n $$f && echo "$$f shell script OK" || exit 1; \
	    fi \
	done
	for f in `find . -name '*.pm' -type f`; do \
	    perl -Ilib -c $$f || exit 1; \
	done
	prove -l
	-prove -l --ext .st

=== debian/changelog ===
pkg-perl-tools (0.36) unstable; urgency=medium

  [ gregor herrmann ]
  * examples: update pbuilder-hooks/E10cleanup.
  * examples/mass-commit: `continue' in a function fails with newer bash.

  [ Florian Schlichting ]
  * dpt-forward: improve mail usage: fail early when --use-mail not given and
    no pause credentials are available, allow forwarding a bug without patch

  [ Alex Muntada ]
  * t/github.t: Test GitHub pull request workflow
  * lib/Debian/PkgPerl/GitHub.pm: add module
  * scripts/forward: create pull requests for patches in GitHub
  * Makefile:
    - add -Ilib to perl tests in Makefile
    - install Perl modules from lib/Debian/PkgPerl
  * t/spelling.st: check files in lib/Debian/PkgPerl directory

  [ gregor herrmann ]
  * Add (build) dependency on libgit-repository-perl.
    Needed for the new GitHub PR feature.
  * Add a note to the pbuilder firewall example hook.
  * dpt-github-oauth: don't display password if Term::ReadLine::Gnu
    is used.

  [ gregor herrmann ]
  * dpt-alioth-repo: document the possibility to pass the distribution
    name as a parameter.

  [ tony mancill ]
  * Fix typo in bts-retitle POD. (Closes: #848517)

  [ gregor herrmann ]
  * posix-lib.sh: run the pipe/tee magic only for subcommands where it's
    actually used later on.

  [ Florian Schlichting ]
  * dpt-forward: fall back to sending email when pause credentials cannot be
    read
  * dpt-forward: add POD on email fallback and relevant config
  * Add missing dependencies for github.t

  [ gregor herrmann ]
  * Add debian/tests/pkg-perl/use-name to run autopkgtest's use.t test.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Jan 2017 20:19:54 +0100

pkg-perl-tools (0.35) unstable; urgency=medium

  * use.t: run the test with $AUTOPKGTEST_TMP as cwd. (Closes: #847284)

 -- Niko Tyni <ntyni@debian.org>  Wed, 07 Dec 2016 21:05:38 +0200

pkg-perl-tools (0.34) unstable; urgency=medium

  * autopkgtest improvements:
    + use.t:
      * support a whitelist regexp in d/t/p/use-whitelist.
        (Closes: #845771)
      * don't run the command in the package source directory.
        (Closes: #837137)
      * also run the tests with PERL_DL_NONLAZY=1.
        (Closes: #830849)
    + syntax.t:
      * skip non-files in dpkg-query --listfiles output.
      * allow listing more files to check in d/t/p/syntax-extra.
        (Closes: #796040)

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Dec 2016 23:09:20 +0200

=== debian/control ===
Source: pkg-perl-tools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           Axel Beckert <abe@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Niko Tyni <ntyni@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: extra
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.17.0),
               git,
               libconfig-model-perl,
               libdatetime-perl,
               libdpkg-perl,
               libfile-slurp-perl,
               libgit-repository-perl,
               libipc-run-perl,
               libjson-xs-perl,
               libmime-lite-perl,
               libnet-github-perl,
               libparse-debianchangelog-perl,
               libproc-invokeeditor-perl,
               librt-client-rest-perl,
               libsoap-lite-perl,
               libtest-mockmodule-perl,
               libtest-pod-perl,
               libtest-spelling-perl,
               libwww-mechanize-perl,
               libyaml-libyaml-perl,
               lintian (>= 2.5.28~),
               perl,
               spell | aspell | ispell | hunspell
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pkg-perl-tools.git
Homepage: https://wiki.debian.org/Teams/DebianPerlGroup

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debhelper,
         devscripts,
         dh-make-perl,
         dpkg-dev (>= 1.17.0),
         git,
         git-buildpackage,
         libdatetime-perl,
         libdpkg-perl,
         libgit-repository-perl,
         libipc-run-perl,
         libjson-xs-perl,
         libparse-debianchangelog-perl,
         libproc-invokeeditor-perl,
         librt-client-rest-perl,
         lintian (>= 2.5.28~),
         openssh-client | ssh-client,
         pristine-tar,
         quilt
Recommends: autodep8,
            autopkgtest,
            libconfig-model-dpkg-perl,
            libconfig-model-perl,
            libdebian-copyright-perl,
            libfile-slurp-perl,
            libmime-lite-perl,
            libmodule-inspector-perl,
            libnet-github-perl,
            libsoap-lite-perl,
            libwww-mechanize-perl,
            libyaml-libyaml-perl,
            lintian (>= 2.5.36~),
            myrepos | mr
Suggests: bc,
          cdbs,
          duck,
          moreutils,
          perl-depends,
          python,
          python-launchpadlib
Enhances: lintian
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks. Add
 "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
 installing this package.

Package: pkg-perl-autopkgtest
Architecture: all
Depends: ${misc:Depends},
         perl
Provides: pkg-perl-autopkgtest-heavy
Description: collection of autopktest scripts for Perl packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for perl packages.
 .
 Packages using the tests with autopkgtests in this package need to
 depend on it in their debian/tests/control file, not in their
 debian/control file.

## pkg-perl-tools 0.39

=== Makefile ===
--- 
+++ 
@@ -145,5 +145,5 @@
 	for f in `find . -name '*.pm' -type f`; do \
 	    perl -Ilib -c $$f || exit 1; \
 	done
-	prove -l
-	-prove -l --ext .st
+	prove -l --verbose --recurse t/
+	-prove -l --verbose --recurse --ext .st t/

=== debian/changelog ===
pkg-perl-tools (0.39) unstable; urgency=medium

  * autopkgtest/smoke: fix skipping perlcritic tests

 -- Niko Tyni <ntyni@debian.org>  Mon, 07 Aug 2017 15:08:48 +0300

pkg-perl-tools (0.38) unstable; urgency=medium

  * Move most of build dependencies to Build-Depends-Indep
  * autopkgtest/smoke: expand the skip list to compile, author and pod tests
    (Closes: #870252)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Aug 2017 22:28:23 +0300

pkg-perl-tools (0.37) unstable; urgency=medium

  [ Christopher Hoskin ]
  * Fix "Broken link for repack.sh in examples/repack.stub" Changed broken link
    to working link (Closes: #853045)

  [ gregor herrmann ]
  * dpt-gen-itp: handle encoding of From and Owner.
  * dpt-gen-itp: mention dpt-gen-itp(1) in the footer of its output.
    Thanks to Balint Reczey for the proposal and the patch.
    (Closes: #855135)

  [ Niko Tyni ]
  * autopkgtest/smoke: run prove with --recurse.
    This takes away most needs for the smoke-tests configuration file, and
    seems to work for at least libimager-perl and libdancer2-perl.
    Thanks to Alex Muntada for the idea.

  [ gregor herrmann ]
  * debian/control: Add more test dependencies.
    Needed for t/patchedit/01_patchedit.t which now is run in autopkgtest due
    to the change in autopkgtest/scripts/build-deps.d/smoke.
  * Makefile: run prove recursively during build as well.
  * Revert "remove patchedit" (e2fcacaeff23ce3b22cef5855ffb8bab6442ae2f).
    The .orig files are still needed for t/patchedit/01_patchedit.t which
    wasn't run since 2013, apparently.
  * debian/rules: add override_dh_clean to avoid removal of the
    t/patchedit/*.orig files.
  * t/patchedit/01_patchedit.t: fix path and add some error handling.
  * Skip t/patchedit/01_patchedit.t for now.
    The real output has diverged too much from the expected one.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jun 2017 20:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Section: devel
 Testsuite: autopkgtest-pkg-perl
 Priority: extra
-Build-Depends: debhelper (>= 9~),
-               dpkg-dev (>= 1.17.0),
+Build-Depends: debhelper (>= 9~)
+Build-Depends-Indep: dpkg-dev (>= 1.17.0),
                git,
                libconfig-model-perl,
                libdatetime-perl,
@@ -24,6 +24,8 @@
                libproc-invokeeditor-perl,
                librt-client-rest-perl,
                libsoap-lite-perl,
+               libtest-differences-perl,
+               libtest-exception-perl,
                libtest-mockmodule-perl,
                libtest-pod-perl,
                libtest-spelling-perl,

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest

%:
	# The build system is hard-coded to make sure debhelper
	# doesn't fall for the trick which is intended to fool
	# autodep8. See the fake Makefile.PL for details.
	dh $@ --buildsystem=makefile

override_dh_clean:
	# preserver test data (*.orig)
	dh_clean -Xt/patchedit/

override_dh_fixperms:
	dh_fixperms
	chmod +x $(APT)/* $(APT)/*/*

## pkg-perl-tools 0.42

=== Makefile ===
--- 
+++ 
@@ -79,7 +79,7 @@
 $(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
 	$(INSTALL_BIN) $< $@
 
-$(DESTDIR)/$(MAN_DIR)/dpt-co.1:
+$(DESTDIR)/$(MAN_DIR)/dpt-co.1: $(DESTDIR)/$(MAN_DIR)/dpt-checkout.1
 	ln -s dpt-checkout.1 $@
 
 $(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)

=== debian/changelog ===
pkg-perl-tools (0.42) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: mrconfig(): also write to stdout for consumption by
    "include = " in .mrconfig.

  [ Niko Tyni ]
  * dpt-checkout: use salsa instead of alioth for new checkouts

  [ Damyan Ivanov ]
  * dpt-checkout: shorten a bit and "quote" clone URL
  * dpt-checkout: add `--pristine-tar` to `gbp pull` call
  * dpt-salsa: add kgb sub-command for controlling KGB webhooks
  * update mass-commit example to use `dpt salsa kgb` for managing IRC
    notifications

  [ Niko Tyni ]
  * Update scripts/rename-uploader to use `dpt salsa kgb` for managing
    notifications

  [ gregor herrmann ]
  * dpt-salsa: githashes():
    - wrap API calls in eval so we don't die in the loop if information about
      one package can't be retrieved for e.g. network issues
    - comment out retrieval of tags in order to cut number of API calls
      in half

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Feb 2018 19:32:52 +0100

pkg-perl-tools (0.41) unstable; urgency=medium

  * update the Vcs lintian check to look for
    https://salsa.debian.org/perl-team/modules/
  * control: point Vcs-* URLs to salsa.debian.org

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 08:18:56 +0000

pkg-perl-tools (0.40) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/check-build: update autopkgtest section.
    Drop adt-run variant, as stable has autopkgtest, and add --shell-fail
    option.
  * examples/check-build: add option to run reprotest.

  [ Dominic Hargreaves ]
  * Add missing dependency on curl

  [ gregor herrmann ]
  * examples/pbuilder-hooks/E10cleanup:
    + use `apt-get indextargets' and `/usr/lib/apt/apt-helper cat-file'
      instead of grepping the Packages files directly. Guarded by a check
      for apt 1.1, so the old code is still there but only used in
      oldstable.
      Thanks to Julian Andres Klode for the bug report. (Closes: #874778)
    + use dpkg-vendor to check for Ubuntu instead of grepping
      /etc/lsb-release.

  [ intrigeri ]
  * examples/check-build: update autopkgtest section to support current
    sid with libvirt/QEMU … while keeping compatibility with Stretch, and
    dropping another Jessie-area path.

  [ gregor herrmann ]
  * autopkgtest: smoke: move prove's --verbose to PKG_PERL_PROVE_ARGS to
    make it overridable via smoke-env as well.
  * examples/check-build: also offer to run autopkgtest when
    debian/tests/control is around.
  * examples/pbuilder-hooks/*00iptables: use 127.0.0.0/8 instead of
    127.0.0.1.
    Thanks to Tincho for the bug report.

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.

  [ Alex Muntada ]
  * Debian::PkgPerl::GitHub:
    + Add missing ticket param for method new
    + Increase verbosity when patching fails
    + Add test for a failing patch
    + Capture and show error if pull-request fails

  [ Damyan Ivanov ]
  * dpt-uscan: new wrapper around uscan and gbp import-orig
  * pristine-orig: honour USCAN_DESTDIR from devscripts' configuration
  * gc: add -p option, running 'git gc' via 'parallel', utilising all
    available CPUs.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)

  [ gregor herrmann ]
  * Remove Makefile.PL hack, as we have an explicit "Testsuite:
    autopkgtest-pkg-perl".
  * Consolidate and extend debian/copyright.
  * Bump debhelper compatibility level to 10.
  * Remove another common unneded test file in autopkgtest's smoke test.
  * examples/check-build: update lintian invocation.
    tag-display-limit=0 can be set in the config since 2.5.63.
  * Slightly improve documentation about DPT_* variables, dpt-config, and
    dpt.conf in various scripts.
  * Extend long description of pkg-perl-autopkgtest.
    Mention Testsuite header and README.
  * Add dpt-alsa: manage team repos and members on salsa.debian.org.
  * Test::Spelling: fix some mistakes, add some stopwords.
  * Add lintian overrides for binary-package-depends-on-toolchain-package
    (debhelper/cdbs).
  * dpt-get-ubuntu-packages: use udd-mirror.debian.net instead of ssh'ing
    into Alioth and using udd itself.
    Additionally remove trailing whitespace.
  * dpt-lp-mass-subscribe: port to python3.
  * Remove dpt-alioth-author.
    Was supposed to run on Alioth which is about to go away.
  * Remove dpt-alioth-repo and point to its successor `dpt salsa
    pushrepo'.
  * dpt-takeover: use `dpt salsa pushrepo' instead of the removed
    dpt-alioth-repo.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Feb 2018 17:26:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,42 +7,46 @@
            Niko Tyni <ntyni@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-perl
-Priority: extra
-Build-Depends: debhelper (>= 9~)
+Priority: optional
+Build-Depends: debhelper (>= 10~)
 Build-Depends-Indep: dpkg-dev (>= 1.17.0),
-               git,
-               libconfig-model-perl,
-               libdatetime-perl,
-               libdpkg-perl,
-               libfile-slurp-perl,
-               libgit-repository-perl,
-               libipc-run-perl,
-               libjson-xs-perl,
-               libmime-lite-perl,
-               libnet-github-perl,
-               libparse-debianchangelog-perl,
-               libproc-invokeeditor-perl,
-               librt-client-rest-perl,
-               libsoap-lite-perl,
-               libtest-differences-perl,
-               libtest-exception-perl,
-               libtest-mockmodule-perl,
-               libtest-pod-perl,
-               libtest-spelling-perl,
-               libwww-mechanize-perl,
-               libyaml-libyaml-perl,
-               lintian (>= 2.5.28~),
-               perl,
-               spell | aspell | ispell | hunspell
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/pkg-perl-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/pkg-perl-tools.git
+                     git,
+                     libconfig-model-perl,
+                     libdatetime-perl,
+                     libdpkg-perl,
+                     libfile-slurp-perl,
+                     libgit-repository-perl,
+                     libgitlab-api-v4-perl,
+                     libipc-run-perl,
+                     libjson-xs-perl,
+                     libmime-lite-perl,
+                     libnet-github-perl,
+                     libparse-debianchangelog-perl,
+                     libproc-invokeeditor-perl,
+                     librt-client-rest-perl,
+                     libsoap-lite-perl,
+                     libtest-differences-perl,
+                     libtest-exception-perl,
+                     libtest-mockmodule-perl,
+                     libtest-pod-perl,
+                     libtest-spelling-perl,
+                     libutf8-all-perl,
+                     libwww-mechanize-perl,
+                     libyaml-libyaml-perl,
+                     lintian (>= 2.5.28~),
+                     perl,
+                     spell | aspell | ispell | hunspell
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
+Rules-Requires-Root: no
 
 Package: pkg-perl-tools
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         curl,
          debhelper,
          devscripts,
          dh-make-perl,
@@ -52,11 +56,13 @@
          libdatetime-perl,
          libdpkg-perl,
          libgit-repository-perl,
+         libgitlab-api-v4-perl,
          libipc-run-perl,
          libjson-xs-perl,
          libparse-debianchangelog-perl,
          libproc-invokeeditor-perl,
          librt-client-rest-perl,
+         libutf8-all-perl,
          lintian (>= 2.5.28~),
          openssh-client | ssh-client,
          pristine-tar,
@@ -71,6 +77,7 @@
             libmodule-inspector-perl,
             libnet-github-perl,
             libsoap-lite-perl,
+            libterm-readline-gnu-perl,
             libwww-mechanize-perl,
             libyaml-libyaml-perl,
             lintian (>= 2.5.36~),
@@ -79,9 +86,10 @@
           cdbs,
           duck,
           moreutils,
+          parallel,
           perl-depends,
-          python,
-          python-launchpadlib
+          python3,
+          python3-launchpadlib
 Enhances: lintian
 Description: collection of tools to aid packaging Perl modules in Debian
  The Debian Perl Group works on packaging Perl modules for Debian. This
@@ -107,4 +115,8 @@
  .
  Packages using the tests with autopkgtests in this package need to
  depend on it in their debian/tests/control file, not in their
- debian/control file.
+ debian/control file, or can simply set "Testsuite: autopkgtest-pkg-perl"
+ in debian/control.
+ .
+ Cf. /usr/share/doc/pkg-perl-autopkgtest/README.autopkgtest for information on
+ about the tests and how to tweak them.

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest

%:
	dh $@

override_dh_clean:
	# preserver test data (*.orig)
	dh_clean -Xt/patchedit/

override_dh_fixperms:
	dh_fixperms
	chmod +x $(APT)/* $(APT)/*/*

## pkg-perl-tools 0.43

=== debian/changelog ===
pkg-perl-tools (0.43) unstable; urgency=medium

  [ Damyan Ivanov ]
  * dpt-salsa: add `--parallel N` to `dpt salsa githashes`

  [ gregor herrmann ]
  * dpt-salsa: update configuration/environment variables for website.
    The website and the perl-team.pages.debian.net repositories have been
    merged.
  * Fix mistake in long description of pkg-perl-autopkgtest.
  * dpt-salsa: githashes(): try to create directory if it doesn't exist
    yet.
    Thanks to CSILLAG Tamas for the bug report on the mailing list.
  * Debian::PkgPerl::Message: add salsa for constructing the patch URL.
  * t/message.t:
    - don't rely on DPT_PACKAGES, find path to patch from test script
    - add tests to check the patch URL in the body
  * dpt-salsa: mrconfig(): really write to file, as promised.
  * t/patch.t: don't rely on DPT_PACKAGES, find path to patch from test
    script.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Mar 2018 15:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                      libmime-lite-perl,
                      libnet-github-perl,
                      libparse-debianchangelog-perl,
+                     libparallel-forkmanager-perl,
                      libproc-invokeeditor-perl,
                      librt-client-rest-perl,
                      libsoap-lite-perl,
@@ -76,6 +77,7 @@
             libmime-lite-perl,
             libmodule-inspector-perl,
             libnet-github-perl,
+            libparallel-forkmanager-perl,
             libsoap-lite-perl,
             libterm-readline-gnu-perl,
             libwww-mechanize-perl,
@@ -119,4 +121,4 @@
  in debian/control.
  .
  Cf. /usr/share/doc/pkg-perl-autopkgtest/README.autopkgtest for information on
- about the tests and how to tweak them.
+ the tests and how to tweak them.

## pkg-perl-tools 0.47

=== debian/changelog ===
pkg-perl-tools (0.47) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: pass 'simple' to API call for listrepos() if --all is
    given. In this case we care only about the ids of the repos, so the
    simpler result is more than enough.
  * New dpt subcommand: dpt-ci-failures.
    Script to query ci.debian.net for autopkgtest failures.
  * New dpt subcommand: dpt-new-upstream.
    Script to list packages with newer upstream version.
  * New dpt subcommand: dpt-clean-mr-repos.
    Script to remove local clones of packaging repositories which are gone
    from salsa.debian.org.
  * Add debian/tests/pkg-perl/syntax-skip to enable more of autopkgtest's
    syntax.t.

  [ Damyan Ivanov ]
  * dpt-forward: when creating pull requests, allow for other branches than
    'master' for example, https://github.com/PerlDancer/Dancer uses 'devel'
    for their main branch
  * update copyright years

  [ gregor herrmann ]
  * examples/{buildpackage-pdebuild,check-build}: change debsign handling.
    Don't --auto-debsign at build time, and only sign once at check time.
  * Update copyright notices and years in d/copyright and various scripts.
  * dpt-uscan: fix POD.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Aug 2018 23:18:25 +0200

pkg-perl-tools (0.46) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: move basic repo settings from createrepo() to
    configurerepo(). That way they are set both on creating a new project
    and on updating an existing one later.
  * dpt-salsa: update list of events for webhooks in configurerepo() and
    kgb() methods.
  * examples/mass-commit: add a continue when skipping cdbs packages.
    Otherwise we have to 'cd ..'.

  [ Damyan Ivanov ]
  * document configuration files location and handling (Closes: #900769)

  [ gregor herrmann ]
  * dpt-salsa: update documentation.
    Clarify pushrepo(), change order and improve some sections.
  * dpt-salsa: GitLab's 'master' was renamed to 'maintainer'.
    Follow this changed nomenclature.

  [ Florian Schlichting ]
  * Add autopkgtest-needs-use-name lintian check

  [ gregor herrmann ]
  * dpt-salsa: use Try::Tiny to handle transient failures of the
    Salsa API.
  * dpt-salsa: merge githashes() into mrconfig().
    Looping only once over all repos saves some time as the bottleneck is the
    Gitlab API at salsa.debian.org, and although only mrconfig() was run from
    our group's .mrconfig, de facto githashes() was required as well. Note
    that githashes() now just calls mrconfig(), and that manual calls to `dpt
    salsa githashes' should be removed from cronjobs or personal ~/.mrconfig
    files.
  * Declare compliance with Debian Policy 4.1.5.
  * Add sensible-utils to Recommends. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jul 2018 10:11:21 +0200

pkg-perl-tools (0.45) unstable; urgency=medium

  [ gregor herrmann ]
  * Update some URLs to point to the new website after the move from
    Alioth to Salsa.
  * lintian check 'vcs-url-not-under-pkg-perl': update required URL.
  * dpt-push:
    - push all tags for "3.0 (native)" packages
    - update copyright notices
  * scripts/packagecheck, examples/repack.stub: anonscm -> salsa links.

  [ Niko Tyni ]
  * autopkgtest: support empty skip lists for syntax.t.
    Packages can now include an explicit empty skip list, which forces the
    test to run even in the presence of Suggestions.

  [ gregor herrmann ]
  * Update copyright years for autopkgtest/*.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 May 2018 15:17:20 +0200

pkg-perl-tools (0.44) unstable; urgency=medium

  [ gregor herrmann ]
  * Add a "TIPS & TRICKS" section to dpt-config(5).
  * dpt-import-orig: remove check for gbp vs. git-import-orig.
    gbp(1) is old enough.

  [ Niko Tyni ]
  * autopkgtest/smoke: support xvfb configuration in smoke-env.
    (Closes: #895190)

 -- Niko Tyni <ntyni@debian.org>  Sun, 08 Apr 2018 16:18:02 +0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                      libmime-lite-perl,
                      libnet-github-perl,
                      libparse-debianchangelog-perl,
-                     libparallel-forkmanager-perl,
+                     libparallel-forkmanager-perl (>= 0.7.6),
                      libproc-invokeeditor-perl,
                      librt-client-rest-perl,
                      libsoap-lite-perl,
@@ -37,7 +37,7 @@
                      lintian (>= 2.5.28~),
                      perl,
                      spell | aspell | ispell | hunspell
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -63,6 +63,7 @@
          libparse-debianchangelog-perl,
          libproc-invokeeditor-perl,
          librt-client-rest-perl,
+         libtry-tiny-perl,
          libutf8-all-perl,
          lintian (>= 2.5.28~),
          openssh-client | ssh-client,
@@ -77,13 +78,14 @@
             libmime-lite-perl,
             libmodule-inspector-perl,
             libnet-github-perl,
-            libparallel-forkmanager-perl,
+            libparallel-forkmanager-perl (>= 0.7.6),
             libsoap-lite-perl,
             libterm-readline-gnu-perl,
             libwww-mechanize-perl,
             libyaml-libyaml-perl,
             lintian (>= 2.5.36~),
-            myrepos | mr
+            myrepos | mr,
+            sensible-utils
 Suggests: bc,
           cdbs,
           duck,

## pkg-perl-tools 0.51

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
 AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
 AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
+ZSH_COMPLETIONS := $(notdir $(wildcard shell/zsh/*))
 VERSION := $(shell dpkg-parsechangelog --show-field Version)
 
 MAN_DIR := $(PREFIX)/share/man/man1
@@ -42,6 +43,7 @@
 INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
 INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
 INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
+INSTALLED_ZSH_COMPLETIONS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/, $(ZSH_COMPLETIONS))
 INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))
 
 INSTALL := install -D -m 0644
@@ -60,7 +62,8 @@
     $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
     $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
     $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
-    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS)
+    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) \
+    $(INSTALLED_ZSH_COMPLETIONS)
 
 $(DESTDIR)/$(MAN_DIR) \
 $(DESTDIR)/$(MAN3_DIR) \
@@ -73,7 +76,8 @@
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
-$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d :
+$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d \
+$(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions :
 	$(INSTALL) -d -m 0755 $@
 
 $(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
@@ -124,6 +128,9 @@
 $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
 	$(INSTALL) $< $@
 
+$(INSTALLED_ZSH_COMPLETIONS) : $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/% : shell/zsh/% $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions
+	$(INSTALL) $< $@
+
 $(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
 	$(POD2MAN) -n "$*" --section 5 $< > $@

=== debian/changelog ===
pkg-perl-tools (0.51) unstable; urgency=medium

  * examples/check-build:
    + reprotest:
      - remove special casing for reprotest >= 0.7 and < 0.7.4
      - enable build_path variation
    + piuparts:
      - make output less verbose
      - add support for schroot
      - ignore dbgsym packages
  * dpt-ci-failures:
    - use HTTPS for two ci.debian.net/bugs.debian.org URLs
    - add -q to wget call.
  * dpt-salsa: disable "job events" notification for IRC.
    They are just too noisy as they report each build step.
  * dpt-forward: slightly update wording of messages.
  * Add dpt(1) zsh completion.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Mar 2019 23:26:21 +0100

pkg-perl-tools (0.50) unstable; urgency=medium

  [ Niko Tyni ]
  * dpt-ci-failures: add -I option showing the run id suitable for API calls

  [ gregor herrmann ]
  * dpt-import-orig: add more extensions to tarball removal after import.
  * Update copyright years.
  * dpt-salsa: implement toattic/fromattic sub-commands.
  * dpt-salsa: activate gitlab's 'no_access' access level.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Remove trailing whitespace from debian/*.
  * debian/rules: override dh_auto_install.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jan 2019 04:28:54 +0100

pkg-perl-tools (0.49) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: mrconfig(): replace 'githashes' with 'lastactivity'.
    Instead of gathering the hashes of all branches of each repo on salsa
    and storing them in a file below .git.hashes, which requires an API call
    for each package, save the last_activity_at timestamp of the repo in a
    file below .lastactivity. This should speed up dpt-salsa mrconfig by
    about a third.

  [ Niko Tyni ]
  * dpt-ci-failures: include src:perl autopkgtest regressions.

  [ intrigeri ]
  * examples/check-build:
    - treat skipped or superficial autopkgtest as success and display a clear
      warning
    - support running autopkgtest in QEMU but reprotest in schroot
    - include buildinfo in source-only and arch-all-only .changes files
      This needs changestool which is shipped in the reprepro package.
    - check-build: don't delete _source.changes if it already exists

  [ gregor herrmann ]
  * examples/check-build:
    - colorize output of messages
    - update copyright

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Nov 2018 00:47:04 +0100

pkg-perl-tools (0.48) unstable; urgency=medium

  * dpt-salsa: fix permission problem around project visibility.
    Changing the visibility of an existing repo needs owner permission.
    Set visibility already on creation, and make the visibility property
    conditional on the access level in configurerepo().
    Thanks to Xavier Guimard for the debugging work.
  * dpt-gc: use xargs' -P instead of parallel (from moreutils or parallel)
    and drop parallel from Suggests (moreutils is still used in other
    places).
    Thanks to Adam Borowski for the bug report. (Closes: #908844)
  * dpt-salsa: pass 'simple' also to group_projects API call in
    mrconfig().

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Sep 2018 17:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: dpkg-dev (>= 1.17.0),
                      git,
                      libconfig-model-perl,
@@ -37,7 +37,7 @@
                      lintian (>= 2.5.28~),
                      perl,
                      spell | aspell | ispell | hunspell
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -90,7 +90,6 @@
           cdbs,
           duck,
           moreutils,
-          parallel,
           perl-depends,
           python3,
           python3-launchpadlib

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,13 @@
 	# preserver test data (*.orig)
 	dh_clean -Xt/patchedit/
 
+override_dh_auto_install:
+# dh_auto_install sets INSTALL to "INSTALL=install --strip-program=true"
+# which leads to
+# 1) install: WARNING: ignoring --strip-program option as -s option was not specified
+# 2) W: pkg-perl-tools: executable-not-elf-or-script $file
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
 override_dh_fixperms:
 	dh_fixperms
 	chmod +x $(APT)/* $(APT)/*/*

## pkg-perl-tools 0.52

=== debian/changelog ===
pkg-perl-tools (0.52) unstable; urgency=medium

  * dpt zsh completion:
    - add files completion for dpt-forward
    - add packagename argument to dpt-takeover

  * dpt-new-upstream: drop unneeded newline when outputting headers in
    case of HTTP failure.
  * dpt-{checkout,upstream-repo}: add --prune when fetching upstream-repo
    remote.

  * examples/mass-commit: add --stats to suggested mr(1) call in order to
    get information about potential failures.
  * examples/buildpackage-pdebuild: -t now also sets
    DEB_BUILD_PROFILES=nocheck.

  * pkg-perl-autopkgtest: replace ADTTMP with AUTOPKGTEST_TMP in use.t and
    smoke.

  * pkg-perl lintian checks: module-build-tiny-needs-newer-debhelper:
    also allow debhelper-compat.

  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Drop (build) dependency on dpkg-dev as now even oldoldstable has a new
    enough version.
  * Bump debhelper-compat to 12.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jul 2019 12:20:22 -0300

=== debian/control ===
--- 
+++ 
@@ -8,36 +8,35 @@
 Section: devel
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Build-Depends-Indep: dpkg-dev (>= 1.17.0),
-                     git,
-                     libconfig-model-perl,
-                     libdatetime-perl,
-                     libdpkg-perl,
-                     libfile-slurp-perl,
-                     libgit-repository-perl,
-                     libgitlab-api-v4-perl,
-                     libipc-run-perl,
-                     libjson-xs-perl,
-                     libmime-lite-perl,
-                     libnet-github-perl,
-                     libparse-debianchangelog-perl,
-                     libparallel-forkmanager-perl (>= 0.7.6),
-                     libproc-invokeeditor-perl,
-                     librt-client-rest-perl,
-                     libsoap-lite-perl,
-                     libtest-differences-perl,
-                     libtest-exception-perl,
-                     libtest-mockmodule-perl,
-                     libtest-pod-perl,
-                     libtest-spelling-perl,
-                     libutf8-all-perl,
-                     libwww-mechanize-perl,
-                     libyaml-libyaml-perl,
-                     lintian (>= 2.5.28~),
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: git <!nocheck>,
+                     libconfig-model-perl <!nocheck>,
+                     libdatetime-perl <!nocheck>,
+                     libdpkg-perl <!nocheck>,
+                     libfile-slurp-perl <!nocheck>,
+                     libgit-repository-perl <!nocheck>,
+                     libgitlab-api-v4-perl <!nocheck>,
+                     libipc-run-perl <!nocheck>,
+                     libjson-xs-perl <!nocheck>,
+                     libmime-lite-perl <!nocheck>,
+                     libnet-github-perl <!nocheck>,
+                     libparse-debianchangelog-perl <!nocheck>,
+                     libparallel-forkmanager-perl <!nocheck>,
+                     libproc-invokeeditor-perl <!nocheck>,
+                     librt-client-rest-perl <!nocheck>,
+                     libsoap-lite-perl <!nocheck>,
+                     libtest-differences-perl <!nocheck>,
+                     libtest-exception-perl <!nocheck>,
+                     libtest-mockmodule-perl <!nocheck>,
+                     libtest-pod-perl <!nocheck>,
+                     libtest-spelling-perl <!nocheck>,
+                     libutf8-all-perl <!nocheck>,
+                     libwww-mechanize-perl <!nocheck>,
+                     libyaml-libyaml-perl <!nocheck>,
+                     lintian <!nocheck>,
                      perl,
-                     spell | aspell | ispell | hunspell
-Standards-Version: 4.3.0
+                     spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -51,7 +50,6 @@
          debhelper,
          devscripts,
          dh-make-perl,
-         dpkg-dev (>= 1.17.0),
          git,
          git-buildpackage,
          libdatetime-perl,
@@ -65,7 +63,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.5.28~),
+         lintian,
          openssh-client | ssh-client,
          pristine-tar,
          quilt
@@ -78,7 +76,7 @@
             libmime-lite-perl,
             libmodule-inspector-perl,
             libnet-github-perl,
-            libparallel-forkmanager-perl (>= 0.7.6),
+            libparallel-forkmanager-perl,
             libsoap-lite-perl,
             libterm-readline-gnu-perl,
             libwww-mechanize-perl,
